/**
 * 获取当前滚动条高度
 *
 * @export
 * @returns {number}
 */
export declare function getScrollTop(): number;
/**
 * 设置滚动条高度
 *
 * @export
 * @param {number} scrollTop 滚动条高度
 */
export declare function setScrollTop(scrollTop: number): void;
/**
 * 获取元素绝对位置
 *
 * @export
 * @param {HTMLElement} ele 元素
 * @returns {{x: number, y: number}}
 */
export declare function getAbsPoint(ele: HTMLElement): {
    x: number;
    y: number;
};
/**
 * 使用缓动函数滚动到某个位置
 *
 * @export
 * @param {number} to 目标位置
 * @param {number} duration 完成动作耗时
 * @returns {void}
 */
export declare function tweenScroll(to: number, duration: number): void;
/**
 * 替换地址栏中的hash
 *
 * @export
 * @param {string} id
 */
export declare function pushState(id: string): void;
